<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('swp_categories_sa', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('category_id', 36);
            $table->string('name')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_posts_sa', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('post_id', 36);
            $table->string('title')->nullable();
            $table->text('content')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_informations_sa', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('information_id', 36);
            $table->string('title')->nullable();
            $table->text('content')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_menus_sa', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('menu_id', 36);
            $table->string('name')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_pages_sa', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('page_id', 36);
            $table->string('title')->nullable();
            $table->text('content')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('swp_categories_sa');
        Schema::dropIfExists('swp_posts_sa');
        Schema::dropIfExists('swp_informations_sa');
        Schema::dropIfExists('swp_menus_sa');
        Schema::dropIfExists('swp_pages_sa');
    }
}
